.panel { float: left; width: 100%; height: 100%; position: relative; font-size: .8em; -webkit-perspective: 600px; perspective: 600px; }

.panel .front { float: none; position: absolute; top: 0; left: 0; z-index: 900; width: inherit; height: inherit; background: #687280; text-align: center; box-shadow: 0 1px 5px rgba(0, 0, 0, 0.9); -webkit-transform: rotateX(0) rotateY(0); transform: rotateX(0) rotateY(0); -webkit-transform-style: preserve-3d; transform-style: preserve-3d; -webkit-backface-visibility: hidden; backface-visibility: hidden; /* -- transition is the magic sauce for animation -- */ -webkit-transition: all .4s ease-in-out; transition: all .4s ease-in-out; }

.panel.flip .front { z-index: 900; border-color: #eee; background: #333; box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2); -webkit-transform: rotateY(179deg); transform: rotateY(179deg); }

.panel .back { float: none; position: absolute; top: 0; left: 0; z-index: 800; width: inherit; height: inherit; border: 1px solid #ccc; background: #333; text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6); -webkit-transform: rotateY(-179deg); transform: rotateY(-179deg); -webkit-transform-style: preserve-3d; transform-style: preserve-3d; -webkit-backface-visibility: hidden; backface-visibility: hidden; /* -- transition is the magic sauce for animation -- */ -webkit-transition: all .4s ease-in-out; transition: all .4s ease-in-out; }

.panel.flip .back { z-index: 1000; background: #4f5965; -webkit-transform: rotateX(0) rotateY(0); transform: rotateX(0) rotateY(0); box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2); }

/* -- make sure to declare a default for every property that you want animated -- */
/* -- general styles, including Y axis rotation -- */
/* -- X axis rotation for click panel -- */
.click .front { cursor: pointer; -webkit-transform: rotateX(0); transform: rotateX(0); }

.click.flip .front { -webkit-transform: rotateX(180deg); transform: rotateX(180deg); }

.click .back { cursor: pointer; -webkit-transform: rotateX(-180deg); transform: rotateX(-180deg); }

.click.flip .back { -webkit-transform: rotateX(0); transform: rotateX(0); }

/* -- contact panel -- */
.contact { width: 290px; height: 240px; }

/* -- diagonal axis rotation -- */
.diagonal .front { -webkit-transform: rotate3d(45, 45, 0, 0deg); transform: rotate3d(45, 45, 0, 0deg); }

.diagonal .front:hover { /* for the patient :) */ -webkit-transition-duration: 10s; transition-duration: 10s; -webkit-transform: rotate3d(45, 45, 0, -36deg); transform: rotate3d(45, 45, 0, -36deg); }

.diagonal.flip .front { -webkit-transform: rotate3d(-45, -45, 0, 150deg); transform: rotate3d(-45, -45, 0, 150deg); /* unset the long default transition time */ -webkit-transition: all .4s ease-in-out; transition: all .4s ease-in-out; }

.diagonal.flip .front:hover { -webkit-transform: rotate3d(-45, -45, 0, 150deg); transform: rotate3d(-45, -45, 0, 150deg); /* unset the long default transition time */ -webkit-transition: all .4s ease-in-out; transition: all .4s ease-in-out; }

.diagonal .front .message { opacity: 0; font-size: 1.4em; }

.diagonal .front:hover .message { opacity: .4; -webkit-transition-duration: 12s; transition-duration: 12s; -webkit-transition-delay: 4s; transition-delay: 4s; -webkit-transform: translateX(-30px) translateZ(40px) scale(1.4); transform: translateX(-30px) translateZ(40px) scale(1.4); }

.diagonal.flip .front .message { -webkit-transition-duration: 1s; transition-duration: 1s; -webkit-transform: translateZ(0px) scale(0.5); transform: translateZ(0px) scale(0.5); }

.diagonal .back { -webkit-transform: rotate3d(45, 45, 0, -180deg); transform: rotate3d(45, 45, 0, -180deg); }

.diagonal.flip .back { -webkit-transform: rotate3d(45, 45, 0, -30deg); transform: rotate3d(45, 45, 0, -30deg); }

/* -- swing like a gate -- */
.swing .front, .swing .back { width: 140px; -webkit-transition-duration: 1s; transition-duration: 1s; -webkit-transform-origin: 170px 0; transform-origin: 170px 0; }

.swing .front { -webkit-transform: rotateY(0); transform: rotateY(0); }

.swing .back { background-color: #555; /* hiding this side, so get darker */ -webkit-transform: rotateY(-180deg) translateX(198px) translateZ(2px); transform: rotateY(-180deg) translateX(198px) translateZ(2px); }

.swing.flip .front { background-color: #222; /* hiding this side, so get darker */ -webkit-transform: rotateY(180deg); transform: rotateY(180deg); }

.swing.flip .back { background-color: #80888f; -webkit-transform: rotateY(0) translateX(198px) translateZ(2px); transform: rotateY(0) translateX(198px) translateZ(2px); }

/* -- cosmetics -- */
.panel .pad { padding: 0 15px; }

.panel.flip .action { display: none; }

.block ol li { text-align: left; margin: 0 0 0 28px; }

.block .action { display: block; padding: 3px; background: #333; text-align: right; font-size: .8em; opacity: 0; position: absolute; cursor: pointer; -webkit-transition: opacity .2s linear; }

.block:hover .action { opacity: .7; }

.circle div { border-radius: 100px; }

.circle div h2 { padding-top: 3em; text-align: center; }

.user-card { position: absolute; width: 100%; height: 100%; }

.user-card .user-settings { position: relative; float: right; }

.user-card .user-settings .icons-container { float: left; }

.user-card .user-settings .icons-container i { transition: all .5s ease-in-out; }

.user-card .user-settings .icons-container i:hover { cursor: pointer; box-shadow: 5px 5px 10px 0px rgba(0, 0, 0, 0.5); }

.user-card .img-place { position: relative; width: 50%; height: 50%; float: left; }
